summaryrefslogtreecommitdiffstats
path: root/games/lbreakout2
diff options
context:
space:
mode:
author MagicMan <MagicMan07@bluebottle.com>2010-05-11 14:28:20 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:28:20 +0200
commit4cce41897c16a2848575a189a251bf95dab44068 (patch)
treef41550f570885cdc0800e4a7711bff590c13be16 /games/lbreakout2
parent15b3ecc3fff3e00c2587f8257d4f9af96ce0f446 (diff)
downloadslackbuilds-4cce41897c16a2848575a189a251bf95dab44068.tar.gz
slackbuilds-4cce41897c16a2848575a189a251bf95dab44068.tar.xz
games/lbreakout2: Initial import
Diffstat (limited to 'games/lbreakout2')
-rw-r--r--games/lbreakout2/README6
-rw-r--r--games/lbreakout2/doinst.sh5
-rw-r--r--games/lbreakout2/lbreakout2.SlackBuild88
-rw-r--r--games/lbreakout2/lbreakout2.desktop10
-rw-r--r--games/lbreakout2/lbreakout2.info8
-rw-r--r--games/lbreakout2/slack-desc11
6 files changed, 128 insertions, 0 deletions
diff --git a/games/lbreakout2/README b/games/lbreakout2/README
new file mode 100644
index 0000000000..57052214b7
--- /dev/null
+++ b/games/lbreakout2/README
@@ -0,0 +1,6 @@
+LBreakout2 is a breakout-style arcade game in the manner of
+Arkanoid. Use your paddle to aim a ball at bricks until all
+bricks are destroyed. Lots of power-ups will help you with
+that task: extra balls, energy balls, extra lifes, weapons,
+glue, bonus floors, paddle expansion and extra score.
+
diff --git a/games/lbreakout2/doinst.sh b/games/lbreakout2/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/games/lbreakout2/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/lbreakout2/lbreakout2.SlackBuild b/games/lbreakout2/lbreakout2.SlackBuild
new file mode 100644
index 0000000000..8c27e93c7f
--- /dev/null
+++ b/games/lbreakout2/lbreakout2.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for LBreakout2
+
+# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+set -e
+
+PRGNAM=lbreakout2
+VERSION=2.6beta-7
+PVERSION=2.6beta7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README README-SDL.txt TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PVERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$PVERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PVERSION/$PRGNAM.SlackBuild
+# Move auto-installed doc files to correct location:
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$PVERSION/HTML
+
+# Install desktop file and link icon to /usr/share/pixmaps
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+( cd $PKG/usr/share/pixmaps ; ln -s ../$PRGNAM/gfx/win_icon.png lbreakout2.png )
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PVERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/lbreakout2/lbreakout2.desktop b/games/lbreakout2/lbreakout2.desktop
new file mode 100644
index 0000000000..8eba85d4d7
--- /dev/null
+++ b/games/lbreakout2/lbreakout2.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=LBreakout2
+GenericName=Breakout-style Arcade Game
+Exec=lbreakout2
+Terminal=false
+Type=Application
+Categories=Application;Game;ArcadeGame
+Icon=/usr/share/pixmaps/lbreakout2.png
+StartupNotify=false
diff --git a/games/lbreakout2/lbreakout2.info b/games/lbreakout2/lbreakout2.info
new file mode 100644
index 0000000000..a6939a3236
--- /dev/null
+++ b/games/lbreakout2/lbreakout2.info
@@ -0,0 +1,8 @@
+PRGNAM="lbreakout2"
+VERSION="2.6beta7"
+HOMEPAGE="http://lgames.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/lgames/lbreakout2-2.6beta-7.tar.gz"
+MD5SUM="bccede972d2f73612c47ca6a5aa9770e"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="robw810"
diff --git a/games/lbreakout2/slack-desc b/games/lbreakout2/slack-desc
new file mode 100644
index 0000000000..75f59baee8
--- /dev/null
+++ b/games/lbreakout2/slack-desc
@@ -0,0 +1,11 @@
+lbreakout2: LBreakout2 (Breakout-style Arcade Game)
+lbreakout2:
+lbreakout2: LBreakout2 is a breakout-style arcade game in the manner of
+lbreakout2: Arkanoid. Use your paddle to aim a ball at bricks until all
+lbreakout2: bricks are destroyed. Lots of power-ups will help you with
+lbreakout2: that task: extra balls, energy balls, extra lifes, weapons,
+lbreakout2: glue, bonus floors, paddle expansion and extra score.
+lbreakout2:
+lbreakout2: Homepage: http://lgames.sourceforge.net/
+lbreakout2:
+lbreakout2: